Catalyst::Request::REST(3pm)

NAME
Catalyst::Request::REST - A REST-y subclass of Catalyst::Request

SYNOPSIS
     if ( $c->request->accepts('application/json') ) {
         ...
     }

     my $types = $c->request->accepted_content_types();

DESCRIPTION
This is a subclass of "Catalyst::Request" that applies the Catalyst::TraitFor::Request::REST role to your request class. That trait adds a few methods to the request object to facilitate writing REST-y code.

This class is only here for backwards compatibility with applications already subclassing this class. New code should use Catalyst::TraitFor::Request::REST directly.

Catalyst::Action::REST and Catalyst::Controller::REST will arrange for the request trait to be applied if needed.

SEE ALSO
Catalyst::TraitFor::Request::REST.

AUTHORS
See Catalyst::Action::REST for authors.

LICENSE
You may distribute this code under the same terms as Perl itself.